

import javax.swing.JMenuItem;

public enum MenuItems 
{
	//File
	clear(new JMenuItem("Clear schedule   Ctrl+N")),
	load(new JMenuItem("Load schedule   Ctrl+O")),
	save(new JMenuItem("Save schedule   Ctrl+S")),
	export(new JMenuItem("Export...")),
	exportVisible(new JMenuItem("Export Visible...")),
	printPreview(new JMenuItem("Print Preview...")),
	print(new JMenuItem("Print                      Ctrl+P")),
	previewReport(new JMenuItem("Preview Report...")),
	exit(new JMenuItem("Exit")),
	
	//Edit
	undo(new JMenuItem("Undo   Ctrl+Z")),
	redo(new JMenuItem("Redo   Ctrl+Y")),
	
	//Schedule
	contacts(new JMenuItem("Contacts...")),
	appointments(new JMenuItem("Appointments...")),
	
	//Layout
	leftToRight(new JMenuItem("Left to Right")),
	rightToLeft(new JMenuItem("Right to Left")),
	
	//Theme
	standard(new JMenuItem("Standard")),
	windows2003(new JMenuItem("Windows 2003")),
	lila(new JMenuItem("Lila")),
	silver(new JMenuItem("Silver")),
	vista(new JMenuItem("Vista")),
	black(new JMenuItem("Black")),
	dark(new JMenuItem("Dark")),
	light(new JMenuItem("Light")),
	
	//Effects
	type1(new JMenuItem("Glass Type1   Ctrl+1")),
	type2(new JMenuItem("Glass Type2   Ctrl+2")),
	type3(new JMenuItem("Glass Type3   Ctrl+3")),
	type4(new JMenuItem("Glass Type4   Ctrl+4")),
	aero(new JMenuItem("Aero          Ctrl+5")),
	
	//Help
	about(new JMenuItem("About"));
	
	private JMenuItem item;
	
	private MenuItems(JMenuItem item)
	{
		this.item = item;
	}
	
	public JMenuItem getItem()
	{
		return this.item;
	}
}
