

import javax.swing.JMenuItem;

public enum Months 
{
	JANUARY(new JMenuItem("January")),
	FEBRUARY(new JMenuItem("February")),
	MARCH(new JMenuItem("March")),
	APRIL(new JMenuItem("April")),
	MAY(new JMenuItem("May")),
	JUNE(new JMenuItem("June")),
	JULY(new JMenuItem("July")),
	AUGUST(new JMenuItem("August")),
	SEPTEMBER(new JMenuItem("September")),
	OCTOBER(new JMenuItem("October")),
	NOVEMBER(new JMenuItem("November")),
	DECEMBER(new JMenuItem("December"));
	
	private JMenuItem month;
	
	private Months(JMenuItem month)
	{
		this.month = month;
	}
	
	public JMenuItem getItem()
	{
		return month;
	}
	
	public int getMonthValue()
	{
		switch(this)
		{
			case JANUARY: return 1;
			case FEBRUARY: return 2;
			case MARCH: return 3;
			case APRIL: return 4;
			case MAY: return 5;
			case JUNE: return 6;
			case JULY: return 7;
			case AUGUST: return 8;
			case SEPTEMBER: return 9;
			case OCTOBER: return 10;
			case NOVEMBER: return 11;
			case DECEMBER: return 12;
		}
		
		return 0;
	}
}
